:root {
  --font-titles: "Exo 2", serif;
  --font-paragraphs: "Alegreya Sans", serif;
  --color-paragraph: #fceaff;
  --color-lighter-gradient: linear-gradient(
    295deg,
    rgba(244, 196, 243, 1) 44%,
    rgba(255, 163, 207, 1) 92%
  );
  --body-background-gradient: linear-gradient(
    312deg,
    rgba(10, 1, 63, 1) 16%,
    rgba(7, 1, 71, 1) 50%,
    rgba(23, 1, 45, 1) 87%
  );
}

* {
  margin: 0;
  font-size: 12px;
}

body {
  background: var(--body-background-gradient);
  width: 100%;
  min-height: 100%;
  margin: 0;
  font-family: var(--font-paragraphs);
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  overflow-x: hidden;
}

main {
  width: 85%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.welcome-section {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-bottom: 50px;
}

.welcome-section-text {
  margin-block: 15px;
}

h1 {
  font-family: var(--font-titles);
  font-size: 4.5rem;
  background: var(--color-lighter-gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  margin-block: 20px;
}

p {
  font-family: var(--font-paragraphs);
  letter-spacing: 1px;
  font-size: 1.75rem;
  color: var(--font-paragraphs);
}

.welcome-section-text p {
  font-size: 2rem;
  color: var(--color-paragraph);
}

.keyword-zepralak,
.welcome-section-keywords {
  font-size: 2rem;
  background: var(--color-lighter-gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  font-family: var(--font-paragraphs);
  font-weight: 500;
}

.welcome-section img {
  width: 90%;
  height: auto;
  margin-block: 20px;
}

.why-us-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  margin-bottom: 50px;
}

.why-us-intro {
  align-self: flex-start;
  display: flex;
  flex-direction: column;
  width: 85%;
  margin-block: 20px;
}

.why-us-intro h2 {
  font-size: 3rem;
  font-family: var(--font-titles);
  background: var(--color-lighter-gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  margin-block: 10px;
}

.why-us-intro p {
  font-size: 1.75rem;
}

.why-us-intro .keyword-zepralak {
  font-size: 1.85rem;
  font-weight: 500px;
}

.why-us-features-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.why-us-features {
  width: 85%;
  display: flex;
  flex-direction: column;
  background: linear-gradient(
    156deg,
    rgba(245, 165, 247, 1) 16%,
    rgba(246, 201, 255, 1) 50%,
    rgba(255, 215, 253, 1) 87%
  );
  margin-block: 20px;
  padding: 10px;
  border-radius: 15px;
  box-shadow: 0px 5px 34px -7px rgba(255, 242, 255, 1);
}

.why-us-features img {
  align-self: center;
  width: 70%;
  height: auto;
  margin-block: 15px;
  margin-top: 35px;
}

.why-us-features h3 {
  font-size: 2.5rem;
  margin-top: 20px;
  margin-bottom: 5px;
  color: rgb(88, 6, 164);
  font-family: var(--font-titles);
  width: 80%;
  margin-left: 10px;
  margin-right: 10px;
}

.why-us-features p {
  color: rgb(39, 2, 74);
  margin-bottom: 35px;
  width: 85%;
  margin-left: 10px;
  margin-right: 10px;
  font-size: 1.5rem;
}

.contact-form-wrapper {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-block: 20px;
  text-align: center;
  margin-bottom: 50px;
}

form {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-block: 10px;
}

.contact-form-wrapper h2 {
  font-size: 3rem;
  font-family: var(--font-titles);
  background: var(--color-lighter-gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  margin-block: 10px;
}

.contact-form-wrapper p {
  margin-bottom: 15px;
}

.contact-inputs {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

textarea {
  margin-top: 10px;

  height: 130px;
  margin-bottom: 30px;
}

input {
  margin-block: 10px;
}

textarea,
input {
  border-radius: 10px;
  background: transparent;
  border: none;
  border: 2.5px solid rgb(254, 203, 252);
  color: var(--color-paragraph);
  width: 95%;
  padding: 13px 10px;
  font-family: var(--font-paragraphs);
  box-shadow: 0px 10px 15px -15px rgba(255, 245, 255, 1);
  font-size: 1.5rem;
}

textarea::placeholder,
input::placeholder {
  color: var(--color-paragraph);
  font-family: var(--font-paragraphs);
  font-size: 1.2rem;
}

#form-button {
  width: 35%;
  height: 37.5px;
  font-size: 1.5rem;
  font-family: var(--font-paragraphs);
  font-weight: 500;
  border-radius: 10px;
  border: none;
  background: transparent;
  color: var(--font-paragraphs);
  border: 2px solid rgb(254, 203, 252);
  letter-spacing: 1.2px;
  margin-bottom: 20px;
  box-shadow: 0px 10px 15px -15px rgba(255, 245, 255, 1);
  transition: transform 0.3s ease;
  cursor: pointer;
}

#form-button:hover {
  transform: scale(1.1);
}

@media (min-width: 700px) {
  .why-us-features-container {
    flex-direction: row;
    justify-content: space-evenly;
  }

  .why-us-features {
    max-width: 385px;
    width: 27%;
    height: 365px;
  }

  .why-us-features h3 {
    font-size: 2rem;
  }

  .why-us-intro {
    align-self: center;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin-bottom: 90px;
    margin-top: 70px;
  }

  .why-us-features:nth-of-type(2) {
    transform: translateY(-50px);
  }

  .contact-inputs {
    flex-direction: row;
    justify-content: space-between;
  }

  input {
    width: 48%;
  }

  textarea {
    width: 100%;
  }

  #form-button {
    width: 185px;
    height: 50px;
    font-size: 1.7rem;
  }

  textarea::placeholder,
  input::placeholder {
    font-size: 1.4rem;
  }

  .contact-form-wrapper {
    margin-top: 70px;
    margin-bottom: 70px;
  }
}

@media (min-width: 1200px) {
  .why-us-features h3 {
    font-size: 2.5rem;
  }

  .why-us-features {
    max-width: 385px;
    width: 27%;
    height: auto;
  }
}

@media (min-width: 1000px) {
  main {
    width: 85%;
  }

  .welcome-section {
    flex-direction: row;
    justify-content: space-between;
    margin-top: 60px;
  }

  .welcome-section-text {
    width: 60%;
  }

  .welcome-section img {
    width: 33%;
  }
}
@media (min-width: 1350px) {
  main {
    width: 75%;
  }
}
@media (min-width: 1550px) {
  main {
    width: 65%;
  }
}
@media (min-width: 1650px) {
  main {
    width: 60%;
  }
}
